image: rocker/tidyverse

pages:
  stage: deploy
  script:
  - R -e "install.packages('pkgdown')"
  - R -e "pkgdown::build_site()"
  artifacts:
    paths:
    - public
    expire_in: 1 day
  rules:
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH